--CONFIG--------------------------------------------
local x1 = 103		y1 = 23				-- Coordinate for the first blood and the second unholy rune
local x2 = 72		y2 = 61				-- Coordinate for the second blood and the first unholy rune
local x3 = 25		y3 = 80				-- Coordinate for the first and second frost runes
local aoc = 0.1							-- Alpha of the runes out of combat
local aic = 1							-- Alpha of the runes in combat
local aiv = 0							-- Alpha of the runes when in a vehicle
local s = 0.8							--Scale of the RuneFrame (this have to be at least 0.8 to support OmniCC)
----------------------------------------------------------


--Clearing the old position
RuneButtonIndividual1:ClearAllPoints()
RuneButtonIndividual2:ClearAllPoints()
RuneButtonIndividual3:ClearAllPoints()
RuneButtonIndividual4:ClearAllPoints()
RuneButtonIndividual5:ClearAllPoints()
RuneButtonIndividual6:ClearAllPoints()

--Setting the new position, change the x,y  values in the end of each line to move the runes
RuneButtonIndividual1:SetPoint("CENTER", UIParent, "CENTER", -x1, y1)
RuneButtonIndividual2:SetPoint("CENTER", UIParent, "CENTER", -x2, y2)
RuneButtonIndividual3:SetPoint("CENTER", UIParent, "CENTER", -x3, y3)
RuneButtonIndividual4:SetPoint("CENTER", UIParent, "CENTER", x3, y3)
RuneButtonIndividual5:SetPoint("CENTER", UIParent, "CENTER", x2, y2)
RuneButtonIndividual6:SetPoint("CENTER", UIParent, "CENTER", x1, y1)

--Making the rune click through
RuneButtonIndividual1:EnableMouse(false)
RuneButtonIndividual2:EnableMouse(false)
RuneButtonIndividual3:EnableMouse(false)
RuneButtonIndividual4:EnableMouse(false)
RuneButtonIndividual5:EnableMouse(false)
RuneButtonIndividual6:EnableMouse(false)

--Alpha of the runes
local function Runehud_OnEvent(self, event, ...)
	if (event == "PLAYER_ENTERING_WORLD" or event == "PLAYER_REGEN_ENABLED") and not UnitInVehicle("player") then
		RuneFrame:SetAlpha(aoc) 				
	elseif event == "PLAYER_REGEN_DISABLED" and not UnitInVehicle("player") then
		RuneFrame:SetAlpha(aic) 						--Alpha in combat
	end
	
	if ((event == "UNIT_ENTERING_VEHICLE") and (arg1 == "player"))  then
		RuneFrame:SetAlpha(aiv)						--Hides the runes when entering a vehicle
	elseif (event == "PLAYER_ENTERING_WORLD" or((event == "UNIT_EXITED_VEHICLE") and (arg1 == "player"))) and InCombatLockdown() then
		RuneFrame:SetAlpha(aic)						--Shows the runes once again (with in combat alpha) when exiting the vehicle
		RuneFrame:SetScale(s)		
	elseif event == "PLAYER_ENTERING_WORLD" or((event == "UNIT_EXITED_VEHICLE") and (arg1 == "player")) then 
		RuneFrame:SetAlpha(aoc) 					--Shows the runes once again (with out of combat alpha) when exiting the vehicle
		RuneFrame:SetScale(s)
	end
end

RuneFrame:SetScale(s)


local f = CreateFrame("Frame","RuneHUDFrame")
f:RegisterEvent("PLAYER_REGEN_DISABLED")
f:RegisterEvent("PLAYER_REGEN_ENABLED")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:RegisterEvent("UNIT_EXITED_VEHICLE")
f:RegisterEvent("UNIT_ENTERING_VEHICLE")
f:SetScript("OnEvent", Runehud_OnEvent)
RuneFrame:SetParent(RuneHUDFrame)
